/*******************************************************************
 * NGX-DYNAMIC-MATERIAL-TABLE                                      *
 * @description Create fancy and complex tables dynamically        *
 * @file DynamicTableModule                                        *
 * @author Gökhan Sari - <goekhan.sari@arpage.ch>                  *
 * @copyright Arpage AG, 2018                                      *
 *******************************************************************/
import { ModuleWithProviders } from '@angular/core';
/**
 * Root module container dedicated to the dynamic table domain, workflow and a set of capabilities.
 * It contains components, service providers, and other code files whose scope is defined by the DynamicTableModule.
 * Additionally it imports functionality that is exported from other modules, and exports selected functionality for use by other modules.
 */
export declare class DynamicTableModule {
    /**
     * Singleton services
     */
    static forRoot(): ModuleWithProviders;
}
